Bug 1291521 - Long project name is out of boarder in confirm message when deleting project from web console
Long project name is out of boarder in confirm message when deleting project ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Robb Hamilton
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 22:29 EST by yapei
Modified: 2016-05-12 13:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:08:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
DeleteProject (52.23 KB, image/png)
2015-12-14 22:29 EST, yapei
no flags Details

  None (edit)
Description yapei 2015-12-14 22:29:58 EST
Created attachment 1105829 [details]
DeleteProject

Description of problem:
Create a long name project without 'Display Name',when delete this project on web /console page, project name in prompt message is displayed out of boarder

Version-Release number of selected component (if applicable):
openshift v1.1-442-gde31d75
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2


How reproducible:
Always

Steps to Reproduce:
1.Create a project with 63 characters(longest value) like 012345678901234567890123456789012345678901234567890123456789012 
2.Delete this project by clicking delete button on /console page 

Actual results:
2.Clicking the delete button will prompt message for users to confirm their deletion, project name is out of boarder, refer to attachment

Expected results:
2. project name should be displayed well 

Additional info:
Comment 1 Robb Hamilton 2016-03-09 10:51:52 EST
https://github.com/openshift/origin/pull/7890
Comment 2 yapei 2016-03-13 21:01:14 EDT
tested against devenv-rhel7_3705 with Firefox 44, Chrome 46, Safari 9, IE 11, Edge 25, works well, so move to VERIFIED
Comment 3 yapei 2016-03-13 21:54:41 EDT
Update Chrome version to 49, checked on Chrome 49, works well

Note You need to log in before you can comment on or make changes to this bug.